Bug 503878 - Recommended Partitioning Scheme for swap partition
Recommended Partitioning Scheme for swap partition
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: Installation_Guide (Show other bugs)
5.1
All Linux
low Severity medium
: rc
: ---
Assigned To: Ruediger Landmann
Joshua Wulf
: Documentation
Depends On:
Blocks: 547231 547940 547942
  Show dependency treegraph
 
Reported: 2009-06-03 02:57 EDT by mertensb
Modified: 2014-10-19 18:57 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 547940 547942 (view as bug list)
Environment:
Last Closed: 2010-06-08 18:31:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mertensb 2009-06-03 02:57:51 EDT
In the section "Recommended Partitioning Scheme" several recommendations are made for the size of the swap partition.

It might be usefull to include that for performance reasons a swap partition should not exceed 2GB.  When a larger swap partition is needed using multiple swap partitions is recommended.

Kind regards

Bram Mertens
Comment 4 Ruediger Landmann 2009-12-15 21:39:44 EST
Excellent suggestion!

Spreading swap over multiple devices can indeed provide a performance benefit.
I've added a note to the Installation Guide to this effect. This will become
visible the next time that we republish the book.

Many thanks for your input Bram.

Cheers

Ruediger

r24943 | rlandman@REDHAT.COM | 2009-12-16 12:29:07 +1000 (Wed, 16 Dec 2009) | 1 line
Comment 6 John Skeoch 2010-06-08 18:31:36 EDT
verified in 

http://docs.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/5/html-single/Installation_Guide/


Red_Hat_Enterprise_Linux-Installation_Guide-5-web-en-US-3.1-2.el5
Comment 7 mertensb 2010-06-09 04:23:25 EDT
Thank you for this update.

However the note only mentions spreading swap over multiple devices.

It does not mention a maximum size for these partitions.

Is the limit of 2GB still valid?  If so I believe this should be added to the documentation as well.

Kind regards

Bram

Note You need to log in before you can comment on or make changes to this bug.